> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save Connector Selected Filters

> Save the Connector Selected Filters configuration



## OpenAPI

````yaml put /{env_id}/{flow_id}/{tenant}/connectors/{connector_id}/selectedFilters
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /{env_id}/{flow_id}/{tenant}/connectors/{connector_id}/selectedFilters:
    put:
      summary: Save Connector Selected Filters
      description: Save the Connector Selected Filters configuration
      operationId: save-connector-selected-filters
      parameters:
        - name: env_id
          in: path
          description: ID of environment
          schema:
            type: string
          required: true
        - name: flow_id
          in: path
          description: ID of flow
          schema:
            type: string
          required: true
        - name: tenant
          in: path
          description: ID of tenant
          schema:
            type: string
          required: true
        - name: connector_id
          in: path
          description: ID of connector
          schema:
            type: string
            example: salesforce
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - filters_version
                - streams
              properties:
                filters_version:
                  type: string
                  description: The version of the filters configuration
                  example: 1.0.0
                streams:
                  type: object
                  description: The streams and their filters
                  properties: {}
            example:
              filters_version: 1.0.0
              streams:
                bills:
                  group_14:
                    clause_1_1:
                      field: transaction.entity
                      operator: IN
                      value:
                        - '26006'
                        - '26032'
                    operator_1_1: OR
                    clause_1_2:
                      field: Entity.altname
                      operator: IN
                      value:
                        - Siegwerk EIC LLC
                        - ProAmpac
                  operator_1: AND
                  clause_2:
                    field: BUILTIN.DF(transaction.status)
                    operator: EQ
                    value: 'Bill : Paid In Full'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: OK
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: OK
        '400':
          description: '400'
          content:
            application/json:
              examples:
                SelectedFiltersValidationError:
                  value:
                    Code: SelectedFiltersValidationError
                    Message: >-
                      Stream 'bills' / Group 'ROOT_GROUP' - Key name 'gsroup_14'
                      is not valid, must start with 'clause_', 'group_' or
                      'operator_'
              schema:
                type: object
                properties:
                  Code:
                    type: string
                    example: BadRequestError
                  Message:
                    type: string
                    example: >-
                      Validation error: Stream 'bills' / Group 'ROOT_GROUP' -
                      Key name 'gsroup_14' is not valid, must start with
                      'clause_', 'group_' or 'operator_'
        '404':
          description: '404'
          content:
            application/json:
              examples:
                FlowNotFoundError:
                  value:
                    Code: FlowNotFoundError
                    Message: >-
                      Flow 'evTnoNWxsa' not found for tenant 'some_tenant' in
                      environment 'test.env.io'
              schema:
                type: object
                properties:
                  Code:
                    type: string
                    example: FlowNotFoundError
                  Message:
                    type: string
                    example: >-
                      Flow 'evTnoNWxsa' not found for tenant 'some_tenant' in
                      environment 'test.env.io'
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````